<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	{{- with .Site.Params.themeColor }}
	<meta name="theme-color" content="#523e59">
	<meta name="msapplication-TileColor" content="#523e59">
	<link rel="manifest" href="/site.webmanifest">
	{{- end }}
	{{- partial "structured-data.html" . }}
	{{- partial "favicons.html" }}
	<title>{{.Title}}</title>

	{{ range .AlternativeOutputFormats -}}
		{{ printf `<link rel="%s" type="%s" href="%s" title="%s" />` .Rel .MediaType.Type .RelPermalink $.Title | safeHTML }}
	{{ end -}}

	{{ if .Params.icon }}
		<meta property="og:image" content="{{ .Params.icon }}">
		<meta property="og:image:secure" content="{{ .Params.icon }}">
		<meta property="twitter:image" content="{{ .Params.icon }}">
	{{ end }}
	
	{{- block "head" . -}}{{- end }}
	{{- block "additional-head" . -}}{{- end }}
	
	<link rel="stylesheet" href='{{ (resources.Get "scss/index.scss" | resources.ExecuteAsTemplate "css/style.css" . | toCSS | minify).RelPermalink }}'>

	<!-- TODO: Make efficient (only load when needed) -->
	<script defer src='{{ (resources.Get "js/pages/about.js" | resources.Minify).RelPermalink }}'></script>
</head>

<body id="page">
	<script src='{{ (resources.Get "js/theme.js" | resources.Minify).RelPermalink }}'></script>

	{{ block "header" . -}}{{ end -}}

	{{ block "main" . -}}{{ end -}}

	{{ partialCached "footer.html" . }}

	{{ $main := resources.Get "js/main.js" -}}
	{{ if .Site.Params.code_copy_button | default true -}}
		{{ $codeCopy := resources.Get "js/code-copy.js" -}}
		{{ $script := slice $main $codeCopy | resources.Concat "js/bundle.js" | minify | fingerprint -}}
		<script async src="{{ $script.RelPermalink }}" {{ printf "integrity=%q" $script.Data.Integrity | safeHTMLAttr }} crossorigin="anonymous"></script>
	{{ else -}}
		{{ $script := $main | minify | fingerprint -}}
		<script async src="{{ $script.RelPermalink }}" {{ printf "integrity=%q" $script.Data.Integrity | safeHTMLAttr }} crossorigin="anonymous"></script>
	{{ end }}

	<!-- Javascript -->
	<script defer src='{{ (resources.Get "js/owo.js" | resources.Minify).RelPermalink }}'></script>
	<script defer src='{{ (resources.Get "js/preload.js" | resources.Minify).RelPermalink }}'></script>
</body>
</html>
